<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: LogManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/df7/class_log_manager.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-static-methods">Static Private Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">LogManager Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-methods" name="pri-static-methods"></a>
Static Private Member Functions</h2></td></tr>
<tr class="memitem:a5ae653de79458801873c8f09e1eab92a"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a5ae653de79458801873c8f09e1eab92a">Init</a> ()</td></tr>
<tr class="separator:a5ae653de79458801873c8f09e1eab92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a932f52e4d76b6ff31d80278f7b48a5f5"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a932f52e4d76b6ff31d80278f7b48a5f5">IsLogsEnable</a> ()</td></tr>
<tr class="separator:a932f52e4d76b6ff31d80278f7b48a5f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78bfa77b401dffde62a63951552d0c0d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a78bfa77b401dffde62a63951552d0c0d">SetLogsEnabled</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a78bfa77b401dffde62a63951552d0c0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae9092240f417553e9fb20c0c8797d0"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#acae9092240f417553e9fb20c0c8797d0">IsActionLogEnable</a> ()</td></tr>
<tr class="separator:acae9092240f417553e9fb20c0c8797d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab32816083b2168f8dbbb05c674f799fe"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#ab32816083b2168f8dbbb05c674f799fe">ActionLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:ab32816083b2168f8dbbb05c674f799fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac91f475ec8f90c435cd9d764ab491a32"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#ac91f475ec8f90c435cd9d764ab491a32">IsInventoryMoveLogEnable</a> ()</td></tr>
<tr class="separator:ac91f475ec8f90c435cd9d764ab491a32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab690bd88544f8cd590d9f1c776bc0c3c"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#ab690bd88544f8cd590d9f1c776bc0c3c">InventoryMoveLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:ab690bd88544f8cd590d9f1c776bc0c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81fda887bde8e847718fc9270d7e96a2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a81fda887bde8e847718fc9270d7e96a2">IsInventoryReservationLogEnable</a> ()</td></tr>
<tr class="separator:a81fda887bde8e847718fc9270d7e96a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e841e0feb32bf29d27c69a44c3ec8af"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a0e841e0feb32bf29d27c69a44c3ec8af">InventoryReservationLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a0e841e0feb32bf29d27c69a44c3ec8af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e070df24bcb6afaf456af7ba270294a"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a8e070df24bcb6afaf456af7ba270294a">IsInventoryHFSMLogEnable</a> ()</td></tr>
<tr class="separator:a8e070df24bcb6afaf456af7ba270294a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d77928aede723b5dff6dd9063c95309"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a0d77928aede723b5dff6dd9063c95309">InventoryHFSMLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a0d77928aede723b5dff6dd9063c95309"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8262a2380fb53e4b6c102984e683ea1d"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a8262a2380fb53e4b6c102984e683ea1d">IsSymptomLogEnable</a> ()</td></tr>
<tr class="separator:a8262a2380fb53e4b6c102984e683ea1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e1cd7c128108c50a84b920d0a03644"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a10e1cd7c128108c50a84b920d0a03644">SymptomLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a10e1cd7c128108c50a84b920d0a03644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1936dba0ee4da1a581859d6603178326"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a1936dba0ee4da1a581859d6603178326">IsWeaponLogEnable</a> ()</td></tr>
<tr class="separator:a1936dba0ee4da1a581859d6603178326"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0841d119be529e091e32804f05f364"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a4c0841d119be529e091e32804f05f364">WeaponLogEnable</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:a4c0841d119be529e091e32804f05f364"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:a3f00b2d5d18291a971c041671d4cf46e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a3f00b2d5d18291a971c041671d4cf46e">m_DoLogs</a></td></tr>
<tr class="separator:a3f00b2d5d18291a971c041671d4cf46e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3daf99f55dbf988694fd3fd93af08f1e"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a3daf99f55dbf988694fd3fd93af08f1e">m_DoActionDebugLog</a></td></tr>
<tr class="separator:a3daf99f55dbf988694fd3fd93af08f1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61319479ab5f20a76ba2b26f98f695db"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a61319479ab5f20a76ba2b26f98f695db">m_DoSymptomDebugLog</a></td></tr>
<tr class="separator:a61319479ab5f20a76ba2b26f98f695db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2a2c92853051c0d1e62b286be8ceaae"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#af2a2c92853051c0d1e62b286be8ceaae">m_DoInventoryMoveLog</a></td></tr>
<tr class="separator:af2a2c92853051c0d1e62b286be8ceaae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7066cda60987a89e6b234e5b8c849ba2"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a7066cda60987a89e6b234e5b8c849ba2">m_DoInventoryReservationLog</a></td></tr>
<tr class="separator:a7066cda60987a89e6b234e5b8c849ba2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4944cc096b68809aef4a91d35a99124c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#a4944cc096b68809aef4a91d35a99124c">m_DoInventoryHFSMLog</a></td></tr>
<tr class="separator:a4944cc096b68809aef4a91d35a99124c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea20df2022e38bd42cd70c756cee4703"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/df7/class_log_manager.html#aea20df2022e38bd42cd70c756cee4703">m_DoWeaponLog</a></td></tr>
<tr class="separator:aea20df2022e38bd42cd70c756cee4703"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00542">542</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ab32816083b2168f8dbbb05c674f799fe" name="ab32816083b2168f8dbbb05c674f799fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab32816083b2168f8dbbb05c674f799fe">&#9670;&#160;</a></span>ActionLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::ActionLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00583">583</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a5ae653de79458801873c8f09e1eab92a" name="a5ae653de79458801873c8f09e1eab92a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ae653de79458801873c8f09e1eab92a">&#9670;&#160;</a></span>Init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::Init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00552">552</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a0d77928aede723b5dff6dd9063c95309" name="a0d77928aede723b5dff6dd9063c95309"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d77928aede723b5dff6dd9063c95309">&#9670;&#160;</a></span>InventoryHFSMLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::InventoryHFSMLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00613">613</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="ab690bd88544f8cd590d9f1c776bc0c3c" name="ab690bd88544f8cd590d9f1c776bc0c3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab690bd88544f8cd590d9f1c776bc0c3c">&#9670;&#160;</a></span>InventoryMoveLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::InventoryMoveLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00593">593</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a0e841e0feb32bf29d27c69a44c3ec8af" name="a0e841e0feb32bf29d27c69a44c3ec8af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e841e0feb32bf29d27c69a44c3ec8af">&#9670;&#160;</a></span>InventoryReservationLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::InventoryReservationLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00603">603</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="acae9092240f417553e9fb20c0c8797d0" name="acae9092240f417553e9fb20c0c8797d0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acae9092240f417553e9fb20c0c8797d0">&#9670;&#160;</a></span>IsActionLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsActionLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00578">578</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a8e070df24bcb6afaf456af7ba270294a" name="a8e070df24bcb6afaf456af7ba270294a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e070df24bcb6afaf456af7ba270294a">&#9670;&#160;</a></span>IsInventoryHFSMLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsInventoryHFSMLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00608">608</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="ac91f475ec8f90c435cd9d764ab491a32" name="ac91f475ec8f90c435cd9d764ab491a32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac91f475ec8f90c435cd9d764ab491a32">&#9670;&#160;</a></span>IsInventoryMoveLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsInventoryMoveLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00588">588</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a81fda887bde8e847718fc9270d7e96a2" name="a81fda887bde8e847718fc9270d7e96a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81fda887bde8e847718fc9270d7e96a2">&#9670;&#160;</a></span>IsInventoryReservationLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsInventoryReservationLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00598">598</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a932f52e4d76b6ff31d80278f7b48a5f5" name="a932f52e4d76b6ff31d80278f7b48a5f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a932f52e4d76b6ff31d80278f7b48a5f5">&#9670;&#160;</a></span>IsLogsEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsLogsEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00568">568</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a8262a2380fb53e4b6c102984e683ea1d" name="a8262a2380fb53e4b6c102984e683ea1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8262a2380fb53e4b6c102984e683ea1d">&#9670;&#160;</a></span>IsSymptomLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsSymptomLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00618">618</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a1936dba0ee4da1a581859d6603178326" name="a1936dba0ee4da1a581859d6603178326"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1936dba0ee4da1a581859d6603178326">&#9670;&#160;</a></span>IsWeaponLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::IsWeaponLogEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00628">628</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a78bfa77b401dffde62a63951552d0c0d" name="a78bfa77b401dffde62a63951552d0c0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78bfa77b401dffde62a63951552d0c0d">&#9670;&#160;</a></span>SetLogsEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::SetLogsEnabled </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00573">573</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a10e1cd7c128108c50a84b920d0a03644" name="a10e1cd7c128108c50a84b920d0a03644"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10e1cd7c128108c50a84b920d0a03644">&#9670;&#160;</a></span>SymptomLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::SymptomLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00623">623</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a4c0841d119be529e091e32804f05f364" name="a4c0841d119be529e091e32804f05f364"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c0841d119be529e091e32804f05f364">&#9670;&#160;</a></span>WeaponLogEnable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void LogManager::WeaponLogEnable </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>enable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00633">633</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a3daf99f55dbf988694fd3fd93af08f1e" name="a3daf99f55dbf988694fd3fd93af08f1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3daf99f55dbf988694fd3fd93af08f1e">&#9670;&#160;</a></span>m_DoActionDebugLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoActionDebugLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00545">545</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a4944cc096b68809aef4a91d35a99124c" name="a4944cc096b68809aef4a91d35a99124c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4944cc096b68809aef4a91d35a99124c">&#9670;&#160;</a></span>m_DoInventoryHFSMLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoInventoryHFSMLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00549">549</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="af2a2c92853051c0d1e62b286be8ceaae" name="af2a2c92853051c0d1e62b286be8ceaae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2a2c92853051c0d1e62b286be8ceaae">&#9670;&#160;</a></span>m_DoInventoryMoveLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoInventoryMoveLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00547">547</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a7066cda60987a89e6b234e5b8c849ba2" name="a7066cda60987a89e6b234e5b8c849ba2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7066cda60987a89e6b234e5b8c849ba2">&#9670;&#160;</a></span>m_DoInventoryReservationLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoInventoryReservationLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00548">548</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a3f00b2d5d18291a971c041671d4cf46e" name="a3f00b2d5d18291a971c041671d4cf46e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f00b2d5d18291a971c041671d4cf46e">&#9670;&#160;</a></span>m_DoLogs</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoLogs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00544">544</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="a61319479ab5f20a76ba2b26f98f695db" name="a61319479ab5f20a76ba2b26f98f695db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61319479ab5f20a76ba2b26f98f695db">&#9670;&#160;</a></span>m_DoSymptomDebugLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoSymptomDebugLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00546">546</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<a id="aea20df2022e38bd42cd70c756cee4703" name="aea20df2022e38bd42cd70c756cee4703"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea20df2022e38bd42cd70c756cee4703">&#9670;&#160;</a></span>m_DoWeaponLog</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> LogManager::m_DoWeaponLog</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html#l00550">550</a> of file <a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/tools/<a class="el" href="../../de/d4c/3___game_2tools_2_debug_8c_source.html">Debug.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/df7/class_log_manager.html">LogManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
